import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/shippingcompany/` + url, ...arg)

/**
 * 发货单位Api接口管理器
 *
 * @author 徐超
 * @date  2025/01/02 17:45
 **/
export default {
	// 获取发货单位分页
	bizShippingCompanyPage(data) {
		return request('page', data, 'get')
	},
	// 提交发货单位表单 edit为true时为编辑，默认为新增
	bizShippingCompanySubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除发货单位
	bizShippingCompanyDelete(data) {
		return request('delete', data)
	},
	// 获取发货单位详情
	bizShippingCompanyDetail(data) {
		return request('detail', data, 'get')
	}
}
